Why I got "Email has already been taken" message when creating new user?

2012-04-24 15:54 - Xun Mao

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

I'm trying to create a new user, with my current email address. Don't know

why, I got the message "Email has already been taken". I have checked, actually there is only one user "admin" available. And it's

email address is

"admin@example.net".

Does anyone know, how can I solve this problem?

Thanks in advance!

Xun

History

#1 - 2012-04-24 20:53 - Jean-Philippe Lang

- Priority changed from High to Normal

- Resolution set to Cant reproduce

#2 - 2015-05-08 16:36 - mc0e .

+1.  I had the same issue, but it was confusion on my part.  Not a defect, but perhaps the situation could be better signposted.

I had created a user successfully already, but wasn't seeing it under 'users' when logged in as the admin, because it hadn't been approved.  I didn't

know to look under a separate list of "registered" users, and that naming still doesn't strike me as particularly intuitive.

How about when an admin user goes to http://redmine.together4change.org/users they get a text notification and link saying something like "There

are new users awaiting admin approval".

#3 - 2016-06-16 12:40 - Umesh Rajani

We are getting exactly same error while updating User detail using redmine Java REST API.

com.taskadapter.redmineapi.RedmineProcessingException: Login has already been taken

java.lang.Exception: com.taskadapter.redmineapi.RedmineProcessingException: Login has already been taken

Redmine version  2.6.0.stable

Ruby version     1.9.3-p484 (2013-11-22) [x86_64-linux]

Rails version    3.2.19

#4 - 2019-06-02 05:46 - Go MAEDA

- Status changed from New to Closed

Please reopen this issue if you still experience the problem.
